package com.bcs.competition.server.common.exceptions.base;

/**
 * Как логировать исключение?
 */
public enum LogType {

    /**
     * Непредвиденная ошибка, логировать максимально подробно.
     * Пользователю будет отправлен сгенерированный UUID, чтобы он мог сообщить его для разбирательства.
     */
    ERROR,

    /**
     * Упомянуть, но упустить детали.
     */
    NOTE,

    /**
     * Вполне ожидаемая ситуация, не требует логирования, игнорировать.
     */
    SKIP,
}
